GroovySourceAST (groovy 2.4.5 API)
Date: 2015-09-17

Package: org.codehaus.groovy.antlr

## [Java] Class GroovySourceAST

- org.codehaus.groovy.antlr.GroovySourceAST

- All Implemented Interfaces and Traits:
    Comparable, SourceInfo

      public class GroovySourceAST
      extends CommonAST

  We have an AST subclass so we can track source information. Very odd that ANTLR doesn't do this by default.

  Authors:
    Mike Spille
    Jeremy Rayner

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovySourceAST ()`
    `GroovySourceAST (Token t)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GroovySourceAST` | `childAt(int position)`
    `GroovySourceAST` | `childOfType(int type)`
    `List<GroovySourceAST>` | `childrenOfType(int type)`
    `int` | `compareTo(Object object)`
    `int` | `getColumn()`
    `int` | `getColumnLast()`
    `int` | `getLine()`
    `int` | `getLineLast()`
    `String` | `getSnippet()`
    `void` | `initialize(AST ast)`
    `void` | `initialize(Token t)`
    `void` | `setColumn(int column)`
    `void` | `setColumnLast(int colLast)`
    `void` | `setLast(Token last)`
    `void` | `setLine(int line)`
    `void` | `setLineLast(int lineLast)`
    `void` | `setSnippet(String snippet)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CommonAST` | `getText, setType, setText, getType, initialize, initialize, initialize, findAll, toStringList, getColumn, getLine, addChild, getNumberOfChildren, equalsTree, equalsTreePartial, equalsList, equalsListPartial, findAllPartial, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toStringTree, xmlSerializeNode, xmlSerializeRootOpen, xmlSerializeRootClose, xmlSerialize, getTokenNames, getFirstChild, getNextSibling, equals, toString, decode, encode, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class BaseAST` | `findAll, getText, toStringList, setType, getColumn, setText, getLine, addChild, getNumberOfChildren, equalsTree, equalsTreePartial, equalsList, equalsListPartial, findAllPartial, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toStringTree, xmlSerializeNode, xmlSerializeRootOpen, xmlSerializeRootClose, xmlSerialize, getTokenNames, getFirstChild, getNextSibling, equals, toString, decode, encode, getType, initialize, initialize, initialize, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public GroovySourceAST()

    - #### public GroovySourceAST(Token t)

  - ### Method Detail

    - #### public GroovySourceAST childAt(int position)

    - #### public GroovySourceAST childOfType(int type)

    - #### public List<GroovySourceAST> childrenOfType(int type)

    - #### public int compareTo(Object object)

    - #### public int getColumn()

    - #### public int getColumnLast()

    - #### public int getLine()

    - #### public int getLineLast()

    - #### public String getSnippet()

    - #### public void initialize(AST ast)

    - #### public void initialize(Token t)

    - #### public void setColumn(int column)

    - #### public void setColumnLast(int colLast)

    - #### public void setLast(Token last)

    - #### public void setLine(int line)

    - #### public void setLineLast(int lineLast)

    - #### public void setSnippet(String snippet)